## whale_nelder_NL_roots_test
y1=@(x)x(1)*x(1)+x(1)*x(2)-10.0;
y2=@(x)x(2)+3.0*x(1)*x(2)*x(2)-57.0;
f=@(x)([y1(x) y2(x)]);
x=[1 2]
f1=@(x)f_ONL(f,x);
xmin=[0 0];
xmax=[5,5];
MAXIMUM=500;
N=100
[x y]=Whale_Optimization_Algorithm1(f1,N,xmin,xmax,MAXIMUM);
printf("Whale optimisation method\n");
x
y

## Nelder optimisation test
maxiteration=200;
tolerance=1.0e-10;
[x,y]=nelder_opt1(f1,x,maxiteration,tolerance);
printf("Nelder-Mead optimisation method \n");
x
y

printf("continuity-RK6 method to solve roots\n");
x=continuation_RK6(f,x,20);
x
y1=f(x);
y1
y=f1(x);
y

